Đến nội dung


Hình ảnh
* * * - - 4 Bình chọn

Giao diện hộp thoại trong AutoLisp


  • Please log in to reply
208 replies to this topic

#181 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 06 November 2014 - 09:35 PM

ý của em là vậy.khi em gõ dd và chon số 1. thì xuất hiện hộp thoai thư viên bu long " hinh số 2"thì dó là ok. tr hợp 2 khi em gõ dd. bây giờ em ấn "cancel" hoac esc (tren ban phim) de thoat. nhưng nó vẫn xuất xuất hiên hop thoai "thu vien bu long". tất cả đều tương tu với các lenh khac mà em thu nghiem. ý  của em là sẽ thoát êm " không lua chon gi" xin nhờ 2 bác giúp em với122369_333.jpg


  • 0

#182 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5453 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 06 November 2014 - 09:58 PM

Sửa:

(action_tile "cancel" "(setq ddiag 1) (done_dialog)")

(action_tile "cancel" "(setq ddiag 1) (done_dialog)")
 
(action_tile "cancel" "(setq ddiag 1) (done_dialog)")
 

Thành:

(action_tile "cancel" "(setq ddiag 0) (done_dialog)")

Rút kinh nghiệm lần sau không post file thừa lên làm khổ sở khi down.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#183 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 06 November 2014 - 10:18 PM

Sửa:

(action_tile "cancel" "(setq ddiag 1) (done_dialog)")

(action_tile "cancel" "(setq ddiag 1) (done_dialog)")
 
(action_tile "cancel" "(setq ddiag 1) (done_dialog)")
 

Thành:

(action_tile "cancel" "(setq ddiag 0) (done_dialog)")

Rút kinh nghiệm lần sau không post file thừa lên làm khổ sở khi down.

vẫn chưa được bác a, bác check lai dum em


  • 0

#184 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 06 November 2014 - 10:23 PM

File nặng quá! Bạn nên rút kinh nghiệm theo lời của bác DoanVanHa!

- Một ý nữa : cancel là từ khoá, accept là từ khoá -> buộc phải viết đúng, đúng cả chữ thường,

cancelaccept đều viết thường, bạn viết như vậy là sai Cancel Accept

Bạn lưu ý sửa lại nếu không sẽ chạy ra như cái bạn đã thấy rồi đó!


  • 0

#185 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5453 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 06 November 2014 - 10:34 PM

@Tue_NV: bạn í đặt key="cancel" chứ không phải Cancel nguyên thủy.

@Nguyen: 1 lần biểu bạn sửa mấy dòng cuối bạn lại rên không được. Bây giờ sửa 1 dòng bạn lại rên không được nữa.

Tôi chỉ sửa đúng 1 dòng từ 1 thành 0 đây.

Tôi thấy trách nhiệm với chính công việc của bạn không được tốt lắm thì phải?

http://www.cadviet.c...29_dung_sai.zip


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#186 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 07 November 2014 - 06:43 AM

cảm ơn 

 

@Tue_NV: bạn í đặt key="cancel" chứ không phải Cancel nguyên thủy.

@Nguyen: 1 lần biểu bạn sửa mấy dòng cuối bạn lại rên không được. Bây giờ sửa 1 dòng bạn lại rên không được nữa.

Tôi chỉ sửa đúng 1 dòng từ 1 thành 0 đây.

Tôi thấy trách nhiệm với chính công việc của bạn không được tốt lắm thì phải?

http://www.cadviet.c...29_dung_sai.zip

cảm ơn bác hà nhiều. lần sau em sẽ rút kinh nghiệm


  • 0

#187 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 09 November 2014 - 07:03 PM

ở đây mỗi block chính là 1 bản vẽ, khong biết autolisp có cách nào gom tất cả các bản vẽ trên mà vẫn đúng như yêu cầu không các bác. và sửa nhu thế nào trong gf2.lsp và g.dcl tương ứng... cảm ơn anh em cad viet trước ạ. e xin phép khong up file vì đã up ở http://www.cadviet.v...2369_wqwq_1.zip


  • 1

#188 tuandoosan

tuandoosan

    biết vẽ ellipse

  • Members
  • PipPip
  • 55 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 17 November 2014 - 10:05 AM

[Help]

E chào các a, tình hình là khi e tọa hộp hội thoại trong cad thì bị lỗi là khi mình chọn hình và click điển “A” nhưng hình lại ở mãi điểm “B”, các a có biết lỗi gì và cách khắc phục không ah. Thanks for all.136020_2222.jpg136020_3333333.jpg


  • 0

#189 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5683 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 17 November 2014 - 10:18 AM

Lỗi từ lúc tạo Block đã k lưu ý pick điểm Base Point


  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#190 tuandoosan

tuandoosan

    biết vẽ ellipse

  • Members
  • PipPip
  • 55 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 17 November 2014 - 10:49 AM

bác Ketxu nói rõ hơn đk k? e chưa hiểu lắm. Bác Hd e luôn thì tốt. thanks bác nhiều.


  • 0

#191 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5683 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 17 November 2014 - 10:58 AM

Khi tạo Block tương ứng với action, bạn nhớ Pick point ở mục Base Point, chọn một điểm gần nhóm tạo Block nhất có thể, đừng để nó mặc định 0, 0, 0


  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#192 tuandoosan

tuandoosan

    biết vẽ ellipse

  • Members
  • PipPip
  • 55 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 17 November 2014 - 12:34 PM

Ý của bác có phải tạo block như trong hình p k ah? nhưng khi tạo file *.sld từ file cad thì đâu cần tạo block đâu ah. mà đóng block vào rùi thì khi xuất ra hình cũng là block thì không tiện chút nào.136020_22.jpg


  • 0

#193 tuandoosan

tuandoosan

    biết vẽ ellipse

  • Members
  • PipPip
  • 55 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 17 November 2014 - 02:25 PM

E tạo 1 file menu load vào file menuload. khi mình vẽ hình ntnao thì xuất ra hình như thế. e xin dk một file mẫu nên bgio đành dùng cách 2 lúa là vẽ hình trên cái file đó zùi insert vào. thế là đk. hơi mất tg. 


  • 0

#194 tuandoosan

tuandoosan

    biết vẽ ellipse

  • Members
  • PipPip
  • 55 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 17 November 2014 - 02:29 PM

Tiện e xin hỏi thêm các cao nhân 1 câu nữa. bình thường e toàn p vào thanh menu để lấy các folder. liệu có thể chuyển thành lệnh để gọi các folder đó 136020_222222.jpg136020_2222_1.jpgđk k ah?


  • 0

#195 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 17 November 2014 - 04:12 PM

Gọi menu bằng lệnh như này

(Defun C:goimenu ( )

(menucmd "i=TIENICH.goimenu")(menucmd "i=*")

 (Princ)

)

(Defun C:HATCHDUY ( ) 
(hatchmorongdegoi))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(Defun hatchmorongdegoi ( ) 
(menucmd "i=TIENICH.HATCHMORONG")(menucmd "i=*")
    (Princ)
)
(Defun C:HATCHDUY ( ) 
(hatchmorongdegoi))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(Defun hatchmorongdegoi ( ) 
(menucmd "i=TIENICH.HATCHMORONG")(menucmd "i=*")
    (Princ)
)
(Defun C:HATCHDUY ( ) 
(hatchmorongdegoi))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(Defun hatchmorongdegoi ( ) 
(menucmd "i=TIENICH.HATCHMORONG")(menucmd "i=*")
    (Princ)
)
(hatchmorongdegoi))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(Defun hatchmorongdegoi ( ) 
(menucmd "i=TIENICH.HATCHMORONG")(menucmd "i=*")
    (Princ)
)

  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#196 tuandoosan

tuandoosan

    biết vẽ ellipse

  • Members
  • PipPip
  • 55 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 17 November 2014 - 05:15 PM

e hoi gà gô trong vấn đề viết lisp. a hướng dẫn cụ thể dk k ah? vì chạy lisp kia nó hiện ra mỗi một khung folder trống. thanks các a nhiều !


  • 0

#197 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 18 November 2014 - 10:54 AM

Đưa cái mns của bạn mình xem thử!


  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#198 tuandoosan

tuandoosan

    biết vẽ ellipse

  • Members
  • PipPip
  • 55 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 18 November 2014 - 11:49 AM

A giúp e vs nhé. thanks a nhiều !http://www.cadviet.c...136020_menu.zip

 

đây là cả file. mong các a chỉ giáo thêm. http://www.cadviet.c...orm_stack_2.zip


  • 0

#199 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1359 (rất tốt)

Đã gửi 18 November 2014 - 03:26 PM

Hy vọng bạn biết dùng lisp.

 

(Defun C:goimenu ( )

(menucmd "i=FORM.FORM")(menucmd "i=*")

 (Princ)

)

(Defun C:goimenu ( )
(menucmd "i=FORM.FORM")(menucmd "i=*")
 (Princ)
)

 

(Defun C:goimenu ( )
(menucmd "i=FORM.FORM")(menucmd "i=*")
 (Princ)
)
(Defun C:goimenu ( )
(menucmd "i=FORM.FORM")(menucmd "i=*")
 (Princ)
)
(Defun C:goimenu ( )
(menucmd "i=FORM.FORM")(menucmd "i=*")
 (Princ)
)
(menucmd "i=FORM.FORM")(menucmd "i=*")
 (Princ)
)

  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#200 tuandoosan

tuandoosan

    biết vẽ ellipse

  • Members
  • PipPip
  • 55 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 18 November 2014 - 04:25 PM

Hi. E làm được rùi. Các ơn các bác đã quan tâm và chỉ giáo. Chúc ae trong diễn đàn Cadviet luôn mạnh khỏe và thành công trong cuộc sống. Thanks for all !!!


  • 0